Represents each one of the media streams available in OpenVidu Server for certain session. Each Publisher and Subscriber has an attribute of type Stream, as they give access to one of them (sending and receiving it, respectively)

### Hierarchy

- Stream

## Index

### Properties

- connection
- frameRate
- hasAudio
- hasVideo
- streamId
- streamManager
- typeOfVideo

## Properties

### connection

connection: Connection

- Defined in OpenVidu/Stream.ts:41

The Connection object that is publishing the stream

### Optional frameRate

frameRate: number

- Defined in OpenVidu/Stream.ts:47

Frame rate of the video in frames per second. This property is only defined if the Publisher of the stream was initialized passing a frameRate property on OpenVidu.initPublisher method

### hasAudio

hasAudio: boolean

- Defined in OpenVidu/Stream.ts:57

Whether the stream has an audio track or not

### hasVideo

hasVideo: boolean

- Defined in OpenVidu/Stream.ts:52

Whether the stream has a video track or not

### streamId

streamId: string

- Defined in OpenVidu/Stream.ts:62

Unique identifier of the stream

### streamManager

streamManager: StreamManager

- Defined in OpenVidu/Stream.ts:72

StreamManager object (Publisher or Subscriber) in charge of displaying this stream in the DOM

### Optional typeOfVideo

typeOfVideo: string

- Defined in OpenVidu/Stream.ts:67

`"CAMERA"` or `"SCREEN"`. undefined if stream is audio-only

Generated using TypeDoc